package com.ruoyi.project.ticket.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class TDelayPermitVo {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 延期票ID
     */
    private Long vId;

    /**
     * 危害工作许可证ID
     */
    private Long aId;

    /**
     * 动火工作许可证ID
     */
    private Long hId;

    /**
     * 限制性空间进入许可证ID
     */
    private Long cId;

    /**
     * 延期票附属数据ID
     */
    private Long otherId;

    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date valiStartTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date valiEndTime;

    /**
     * 危害不变G签名
     */
    private String aGSign;

    /**
     * 危害不变G签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aGDate;

    /**
     * D栏的安全措施已重新检查及重新批准签名
     */
    private String aHSign;

    /**
     * D栏的安全措施已重新检查及重新批准签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aHDate;

    /**
     * 授权的维修主管签名
     */
    @Excel(name = "授权的维修主管签名")
    private String aI1aSign;

    /**
     * 授权的维修主管签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aI1aDate;

    /**
     * 安全协调员签名
     */
    @Excel(name = "安全协调员签名")
    private String aA4Sign;

    /**
     * 安全协调员签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aA4Date;

    /**
     * 授权的装置维修工人签名
     */
    @Excel(name = "授权的装置维修工人签名")
    private String aI1bSign;

    /**
     * 授权的装置维修工人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aI1bDate;

    /**
     * F栏安全措施已实施签名
     */
    @Excel(name = "F栏安全措施已实施签名")
    private String aKSign;

    /**
     * F栏安全措施已实施签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aKDate;

    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aE3StartTime;

    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aE3EndTime;

    /**
     * 安全监护人签名
     */
    @Excel(name = "安全监护人签名")
    private String aE3Sign;

    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date aE3Date;


    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hE3StartTime;

    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hE3EndTime;

    /**
     * 动火监护人签名
     */
    @Excel(name = "动火监护人签名")
    private String hE3Sign;

    /**
     * 动火监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hE3Date;

    /**
     * D5.1签名
     */
    @Excel(name = "D5.1签名")
    private String h51Sign;

    /**
     * D5.1签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date h51Date;

    /**
     * D5.2签名
     */
    @Excel(name = "D5.2签名")
    private String h52Sign;

    /**
     * D5.2签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date h52Date;


    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cI2StartTime1;

    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cI2EndTime1;

    /**
     * 安全监护人/观察员1签名
     */
    @Excel(name = "安全监护人/观察员1签名")
    private String cI2Sign1;

    /**
     * 安全监护人/观察员1签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cI2Date1;

    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cI2StartTime2;

    /**
     * 安全监护人签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cI2EndTime2;

    /**
     * 安全监护人/观察员2签名
     */
    private String cI2Sign2;

    /**
     * 安全监护人/观察员2签名时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cI2Date2;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getvId() {
        return vId;
    }

    public void setvId(Long vId) {
        this.vId = vId;
    }

    public Long getaId() {
        return aId;
    }

    public void setaId(Long aId) {
        this.aId = aId;
    }

    public Long gethId() {
        return hId;
    }

    public void sethId(Long hId) {
        this.hId = hId;
    }

    public Long getcId() {
        return cId;
    }

    public void setcId(Long cId) {
        this.cId = cId;
    }

    public Long getOtherId() {
        return otherId;
    }

    public void setOtherId(Long otherId) {
        this.otherId = otherId;
    }

    public Date getValiStartTime() {
        return valiStartTime;
    }

    public void setValiStartTime(Date valiStartTime) {
        this.valiStartTime = valiStartTime;
    }

    public Date getValiEndTime() {
        return valiEndTime;
    }

    public void setValiEndTime(Date valiEndTime) {
        this.valiEndTime = valiEndTime;
    }

    public String getaGSign() {
        return aGSign;
    }

    public void setaGSign(String aGSign) {
        this.aGSign = aGSign;
    }

    public Date getaGDate() {
        return aGDate;
    }

    public void setaGDate(Date aGDate) {
        this.aGDate = aGDate;
    }

    public String getaHSign() {
        return aHSign;
    }

    public void setaHSign(String aHSign) {
        this.aHSign = aHSign;
    }

    public Date getaHDate() {
        return aHDate;
    }

    public void setaHDate(Date aHDate) {
        this.aHDate = aHDate;
    }

    public String getaI1aSign() {
        return aI1aSign;
    }

    public void setaI1aSign(String aI1aSign) {
        this.aI1aSign = aI1aSign;
    }

    public Date getaI1aDate() {
        return aI1aDate;
    }

    public void setaI1aDate(Date aI1aDate) {
        this.aI1aDate = aI1aDate;
    }

    public String getaA4Sign() {
        return aA4Sign;
    }

    public void setaA4Sign(String aA4Sign) {
        this.aA4Sign = aA4Sign;
    }

    public Date getaA4Date() {
        return aA4Date;
    }

    public void setaA4Date(Date aA4Date) {
        this.aA4Date = aA4Date;
    }

    public String getaI1bSign() {
        return aI1bSign;
    }

    public void setaI1bSign(String aI1bSign) {
        this.aI1bSign = aI1bSign;
    }

    public Date getaI1bDate() {
        return aI1bDate;
    }

    public void setaI1bDate(Date aI1bDate) {
        this.aI1bDate = aI1bDate;
    }

    public String getaKSign() {
        return aKSign;
    }

    public void setaKSign(String aKSign) {
        this.aKSign = aKSign;
    }

    public Date getaKDate() {
        return aKDate;
    }

    public void setaKDate(Date aKDate) {
        this.aKDate = aKDate;
    }

    public Date getaE3StartTime() {
        return aE3StartTime;
    }

    public void setaE3StartTime(Date aE3StartTime) {
        this.aE3StartTime = aE3StartTime;
    }

    public Date getaE3EndTime() {
        return aE3EndTime;
    }

    public void setaE3EndTime(Date aE3EndTime) {
        this.aE3EndTime = aE3EndTime;
    }

    public String getaE3Sign() {
        return aE3Sign;
    }

    public void setaE3Sign(String aE3Sign) {
        this.aE3Sign = aE3Sign;
    }

    public Date getaE3Date() {
        return aE3Date;
    }

    public void setaE3Date(Date aE3Date) {
        this.aE3Date = aE3Date;
    }

    public Date gethE3StartTime() {
        return hE3StartTime;
    }

    public void sethE3StartTime(Date hE3StartTime) {
        this.hE3StartTime = hE3StartTime;
    }

    public Date gethE3EndTime() {
        return hE3EndTime;
    }

    public void sethE3EndTime(Date hE3EndTime) {
        this.hE3EndTime = hE3EndTime;
    }

    public String gethE3Sign() {
        return hE3Sign;
    }

    public void sethE3Sign(String hE3Sign) {
        this.hE3Sign = hE3Sign;
    }

    public Date gethE3Date() {
        return hE3Date;
    }

    public void sethE3Date(Date hE3Date) {
        this.hE3Date = hE3Date;
    }

    public String getH51Sign() {
        return h51Sign;
    }

    public void setH51Sign(String h51Sign) {
        this.h51Sign = h51Sign;
    }

    public Date getH51Date() {
        return h51Date;
    }

    public void setH51Date(Date h51Date) {
        this.h51Date = h51Date;
    }

    public String getH52Sign() {
        return h52Sign;
    }

    public void setH52Sign(String h52Sign) {
        this.h52Sign = h52Sign;
    }

    public Date getH52Date() {
        return h52Date;
    }

    public void setH52Date(Date h52Date) {
        this.h52Date = h52Date;
    }

    public Date getcI2StartTime1() {
        return cI2StartTime1;
    }

    public void setcI2StartTime1(Date cI2StartTime1) {
        this.cI2StartTime1 = cI2StartTime1;
    }

    public Date getcI2EndTime1() {
        return cI2EndTime1;
    }

    public void setcI2EndTime1(Date cI2EndTime1) {
        this.cI2EndTime1 = cI2EndTime1;
    }

    public String getcI2Sign1() {
        return cI2Sign1;
    }

    public void setcI2Sign1(String cI2Sign1) {
        this.cI2Sign1 = cI2Sign1;
    }

    public Date getcI2Date1() {
        return cI2Date1;
    }

    public void setcI2Date1(Date cI2Date1) {
        this.cI2Date1 = cI2Date1;
    }

    public Date getcI2StartTime2() {
        return cI2StartTime2;
    }

    public void setcI2StartTime2(Date cI2StartTime2) {
        this.cI2StartTime2 = cI2StartTime2;
    }

    public Date getcI2EndTime2() {
        return cI2EndTime2;
    }

    public void setcI2EndTime2(Date cI2EndTime2) {
        this.cI2EndTime2 = cI2EndTime2;
    }

    public String getcI2Sign2() {
        return cI2Sign2;
    }

    public void setcI2Sign2(String cI2Sign2) {
        this.cI2Sign2 = cI2Sign2;
    }

    public Date getcI2Date2() {
        return cI2Date2;
    }

    public void setcI2Date2(Date cI2Date2) {
        this.cI2Date2 = cI2Date2;
    }
}
